package date.fabrique;

import java.rmi.AlreadyBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;

/* Annick Fron
 * Ce programme utilise une classe fabrique 
 * pour creer des objets a distance
 * les objets sont crees sur le serveur ou reside la fabrique
 */

public class Serveur {


	public static void main(String[] args) {
	FabriqueModeleInterface fabrique;
	try {
		fabrique = (FabriqueModeleInterface) new FabriqueModele();
		LocateRegistry.createRegistry(1099).bind("fabrique", fabrique);
		System.out.println("Serveur pret");
	} catch (RemoteException e) {

		e.printStackTrace();
	} catch (AlreadyBoundException e) {
	
		e.printStackTrace();
	};
	
	

	}

}
