package date.reference;

import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;




public class Client {

	/**
	 * Ce programme permet de stocker sur le serveur un objet cree sur le client 
	 * le serveur affiche la date dans sa console et non dans celle du client
	 */
	public static void main(String[] args) {
		EntrepotInterface entrepot;

			try {
				entrepot = (EntrepotInterface) LocateRegistry.getRegistry().lookup("entrepot");
				ModeleInterface modele =new Modele();
				entrepot.stockage(modele);
				System.out.println("Client termine");
			} catch (AccessException e) {
			
				e.printStackTrace();
			} catch (RemoteException e) {
			
				e.printStackTrace();
			} catch (NotBoundException e) {
		
				e.printStackTrace();
			}
	


	}

}
