package date.reference.modifiee;

import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;








public class Client {

	/**
	 * Annick Fron
	 * Ce programme permet de stocker sur le serveur un objet cree sur le client
	 * le serveur affiche la date dans sa console et non dans celle du client
	 * le passage de reference permet de maintenir la synchronisation
	 */
	public static void main(String[] args) {
		EntrepotInterface entrepot =null;

			try {
				entrepot = (EntrepotInterface) LocateRegistry.getRegistry().lookup("entrepot");
				ModeleInterface modele =new Modele();
				entrepot.setModele(modele);
				entrepot.stockage();
				System.out.println("Date du client : "+ modele.datation());
				modele.miseAJour();
				entrepot.stockage();
				System.out.println("Date du client : "+ modele.datation());
			
			} catch (AccessException e) {
			
				e.printStackTrace();
			} catch (RemoteException e) {
			
				e.printStackTrace();
			} catch (NotBoundException e) {

				e.printStackTrace();
			} 
	


	}

}
