package verrou.solution2;

import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;



public class Client {

	public static void main(String[] args) {
		Registry registry;
		try {
			registry = LocateRegistry.getRegistry("localhost");
			final CompteBancaire compte=(CompteBancaire) registry.lookup("compte");
			long depart=System.currentTimeMillis();
			new Thread() {public void run(){try {
				compte.depot(100);
			} catch (RemoteException e) {e.printStackTrace();
			}}}.start();
			System.out.println(System.currentTimeMillis()-depart);
			// le retrait s'effectue avant le depot
			new Thread() {public void run(){try {
				compte.retrait(10);
			} catch (RemoteException e) {e.printStackTrace();
			}}}.start();
			System.out.println(System.currentTimeMillis()-depart);
			// on verifie que le solde est correct
			System.out.println("Solde : "+compte.getSolde());
		} catch (RemoteException e) {
			
			e.printStackTrace();
		} catch (NotBoundException e) {
		
			e.printStackTrace();
		}

	}

}
