package verrou.solution2;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;


public class CompteBancaireImpl extends UnicastRemoteObject implements
		CompteBancaire {

	private static final long serialVersionUID = 7119602237347214770L;
	private List<Integer> retraits = Collections.synchronizedList(new ArrayList<Integer>());
	private List<Integer> depots = Collections.synchronizedList(new ArrayList<Integer>());
	protected CompteBancaireImpl() throws RemoteException {
		super();

	}

	public  boolean depot(int montant) throws RemoteException {
		synchronized(depots) {depots.add(montant);
		// simule un temps de latence
		try {
			Thread.sleep(5000);
		} catch (InterruptedException e) {
		
			e.printStackTrace();
		}
			System.out.println("depot");
	      return true;}
	   }

	

	public  boolean retrait(int montant) throws RemoteException {
		   synchronized(retraits) {retraits.add(montant);
			System.out.println("retrait");
		    return true;}

	}

	public  int getSolde() throws RemoteException {
	
	     synchronized(depots) {
	         synchronized(retraits) {
	          return somme(depots)-somme(retraits);
	  	}}

	}
	
	private int somme(List<Integer> liste){
		int somme=0;
		for (Integer i : liste ) somme = somme + i;
		return somme;
}}
