package date.exception;

import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;

public class Client {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ModeleInterface modele;
		try {
			modele = (ModeleInterface) LocateRegistry.getRegistry().lookup("modele");
			System.out.println(modele.datation());

		} 
		// l'exception qui est remontee du serveur
		catch (ExceptionDeluge e) {

			System.out.println(e.getMessage());
		}catch (AccessException e) {
		
			e.printStackTrace();
		} catch (RemoteException e) {
		
			e.printStackTrace();
		} catch (NotBoundException e) {

			e.printStackTrace();
		} 
	
	}

}
