package date.fabrique;

/* Annick Fron
 * Creation d'objets a distance : les objets sont
 * crees sur le serveur
 */

import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.util.Date;
import java.util.GregorianCalendar;

public class Client {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			Date estampille = new GregorianCalendar(2007,9,3).getTime();
			FabriqueModeleInterface fabrique=
				(FabriqueModeleInterface) LocateRegistry.getRegistry().lookup("fabrique");
			ModeleInterface modele= fabrique.creeModele(estampille);
			System.out.println("Ou est cree mon modele ?");
		} catch (AccessException e) {
	
			e.printStackTrace();
		} catch (RemoteException e) {
	
			e.printStackTrace();
		} catch (NotBoundException e) {

			e.printStackTrace();
		}

	}

}
