package date.iiop;

/* Annick Fron
 * Utilisation d'URL Corba avec JNDI
 */

import java.rmi.AccessException;
import java.rmi.RemoteException;


import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

public class Client {

	public static void main(String[] args) {
		ModeleInterface modele;
		try {

			Context ctx= new InitialContext();

			Object objref =  ctx.lookup("iiop://localhost:1050/modele");
			modele =(ModeleInterface) PortableRemoteObject.narrow(
	                objref, ModeleInterface.class);
	        System.out.println(modele.datation());

		} 
	catch (AccessException e) {
		
			e.printStackTrace();
		} catch (RemoteException e) {
		
			e.printStackTrace();
		} catch (NamingException e) {
		
			e.printStackTrace();
		} 
	
	}

}
