package verrou.client;

/* Annick Fron
 * Lancer 2 clients simultanements et observer
 * que leurs dates sont espacees de mins de 20 s : 
 * il n'y a donc pas de verrou et les clients accedent au serveur
 * simultanement
 */

import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.util.Date;

public class Client {

	public static void main(String[] args) {
		ModeleInterface modele;
		try {
			modele = (ModeleInterface) LocateRegistry.getRegistry().lookup("modele");
			Date date = null;
			synchronized (modele){date=modele.datation();};
			System.out.println(date);

		} 
	catch (AccessException e) {

			e.printStackTrace();
		} catch (RemoteException e) {
	
			e.printStackTrace();
		} catch (NotBoundException e) {
	
			e.printStackTrace();
		} 
	
	}

}
