package verrou.solution1;

import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;



public class Client {

	public static void main(String[] args) {
		Registry registry;
		try {
			registry = LocateRegistry.getRegistry("localhost");
			CompteBancaire compte=(CompteBancaire) registry.lookup("compte");
			long depart=System.currentTimeMillis();
			compte.depot(100);
			System.out.println(System.currentTimeMillis()-depart);
			// le retrait s'effectue bien apres le depot
			compte.retrait(10);
			System.out.println(System.currentTimeMillis()-depart);
			System.out.println("Solde : "+compte.getSolde());
		} catch (RemoteException e) {
			
			e.printStackTrace();
		} catch (NotBoundException e) {
		
			e.printStackTrace();
		}

	}

}
