package verrou.solution1;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;


public class CompteBancaireImpl extends UnicastRemoteObject implements
		CompteBancaire {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7119602237347214770L;
	private int solde;

	protected CompteBancaireImpl() throws RemoteException {
		super();

	}

	public synchronized boolean depot(int montant) throws RemoteException {
		solde = solde + montant;
		try {
			Thread.sleep(5000);
		} catch (InterruptedException e) {
		
			e.printStackTrace();
		}
		System.out.println("depot");
		return true;
	}

	public synchronized boolean retrait(int montant) throws RemoteException {
		solde = solde - montant;
		System.out.println("retrait");
		return true;
	}

	public synchronized int getSolde() throws RemoteException {
	
		return solde;
	}

}
