package verrou.solution2;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

/* Annick Fron
 * Cette deuxieme solution augmente le degre de concurrence
 * tout en preservant la synchronisation sur le solde
 * les retraits s'effectuent independamment des depots
 */

public class Serveur {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			CompteBancaire compte = new CompteBancaireImpl();
			Registry registry = LocateRegistry.createRegistry(1099);
			registry.rebind("compte",compte);
			System.out.println("Serveur pret");
		} catch (RemoteException e) {
		
			e.printStackTrace();
		}
		

	}

}
